// 
// Copyright 2016 Agencia Estatal de Administración Tibutaria
//
// Licencia con arreglo a la EUPL, Versión 1.1 o -en cuanto
// sean aprobadas por la Comisión Europea- versiones
// posteriores de la EUPL (la «Licencia»);
// Solo podrá usarse esta obra si se respeta la Licencia.
// Puede obtenerse una copia de la Licencia en:
//  
// https://joinup.ec.europa.eu/software/page/eupl
//  
// Salvo cuando lo exija la legislación aplicable o se acuerde
// por escrito, el programa distribuido con arreglo a la
// Licencia se distribuye «TAL CUAL», SIN GARANTÍAS NI CONDICIONES
// DE NINGÚN TIPO, ni expresasni implícitas.
//
// Véase la Licencia en el idioma concreto que rige los permisos y 
// limitaciones que establece la Licencia.
// 

using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using System.Management;
using System.IO;
using System.Diagnostics;

namespace InstaladorATENEO
{
    public partial class FormRed : Form
    {
        string patOriginal = "";
       // string patDestino =  "";
      //  string patDestinoUNC = "";
        string nuevaPass = "";
        public FormRed(string pathOriginal, string nuevapass)
        {
            InitializeComponent();
            patOriginal = pathOriginal;
            nuevaPass = nuevapass;
            string estadoSer = serviceController1.Status.ToString();
            label1.Text = "Servidor Sql " + estadoSer;
          
          
          
        }
      
        private void button1Adjun_Click(object sender, EventArgs e)
        {
            comprobarServicio();
            FAdjuntar fa = new FAdjuntar(nuevaPass);
            fa.ShowDialog();
            fa.Dispose();
            fa = null;

        }
        void comprobarServicio()
        {
            int cont = 0;
            if (serviceController1.Status.ToString() != "Running")
            {
                serviceController1.Start();
                System.Threading.Thread.Sleep(2000);
                while (serviceController1.Status.ToString() != "Running")
                {
                    System.Threading.Thread.Sleep(2000);
                    serviceController1.Refresh();
                    cont = cont + 1;
                    if (cont > 5)
                    {
                        MessageBox.Show("Servicio SQL Server ATENEO no Iniciado\nRevisar");
                        return;
                    }

                }
            }
        }
      

     

        private void button1_Click_2(object sender, EventArgs e)
        {
            FSeparar sep = new FSeparar(nuevaPass);
            sep.ShowDialog();
            sep.Dispose();
        }

      
    }
}
